import React from 'react';
import { Flex, Space } from 'antd';
import { DoubleRightOutlined } from '@ant-design/icons';
import styles from './index.less';
import Card from './components/Card';
import EnvironmentalHealth from './components/EnvironmentalHealth';
import Advertisement from './components/Advertisement';
import MunicipalFacilities from './components/MunicipalFacilities';
import WasteDisposal from './components/WasteDisposal';
import CityLighting from './components/CityLighting';
import LawEnforcement from './components/LawEnforcement';

const IndustryOperationNew: React.FC = () => {
  const cards = [
    {
      title: '环境卫生',
      children: <EnvironmentalHealth />,
      popverSystem: [
        {
          name: '垃圾分类管理系统',
          url: 'http://xxx'
        }
      ]
    },
    {
      title: '市容广告',
      children: <Advertisement />,
      popverSystem: [
        {
          name: '户外广告管理系统',
          url: 'http://xxx'
        }
      ]
    },
    {
      title: '市政设施',
      children: <MunicipalFacilities />,
      popverSystem: [
        {
          name: '市政设施管理系统',
          url: 'http://xxx'
        }
      ]
    },
    {
      title: '固体废弃物',
      children: <WasteDisposal />,
      popverSystem: [
        {
          name: '垃圾处理监管系统',
          url: 'http://xxx'
        }
      ]
    },
    {
      title: '城市照明',
      children: <CityLighting />,
      popverSystem: [
        {
          name: '路灯管理系统',
          url: 'http://xxx'
        }
      ]
    },
    {
      title: '城管执法',
      children: <LawEnforcement />,
      popverSystem: [
        {
          name: '执法监管系统',
          url: 'http://xxx'
        }
      ]
    }
  ];

  return (
    <div className={styles.container}>
      <div className={styles.header}>
        <span className={styles.title}>行业运行情况</span>
        <Space className={styles.systemCount}>
          <div>
            目前已接入<span>16</span>个行业系统
          </div>
          <DoubleRightOutlined />
        </Space>
      </div>
      <div className={styles.content}>
        {cards.map(card => (
          <Card
            key={card.title}
            title={card.title}
            jumpSystem={card.popverSystem}
          >
            {card.children}
          </Card>
        ))}
      </div>
    </div>
  );
};

export default IndustryOperationNew; 