import React from 'react';
import { Flex } from 'antd';
import DescriptionItem from '@/components/DescriptionItem';
import styles from './index.less';

const DataElement: React.FC = () => {
  return (
    <div className={styles.container}>
      <Flex vertical gap={20}>
        <DescriptionItem
          value={11.52}
          name="已汇聚数据"
          unit="亿条"
          valueStyle={{
            background: 'linear-gradient(180deg, #AAFFF6 0%, #25BBFF 100%)',
            WebkitBackgroundClip: 'text',
            WebkitTextFillColor: 'transparent',
            fontFamily: 'D-DIN Exp',
            fontSize: '36px',
            fontWeight: 700,
          }}
          labelStyle={{
            color: '#BCCEE9',
            fontFamily: '微软雅黑',
            fontSize: '20px',
            fontWeight: 700,
            lineHeight: '26px',
          }}
          unitStyle={{
            color: '#BCCEE9',
            fontFamily: '微软雅黑',
            fontSize: '20px',
            fontWeight: 400,
            lineHeight: '26px',
          }}
        />
      </Flex>
    </div>
  );
};

export default DataElement; 